Update a base
PATCH
/locations/{id}
const url = 'https://example.com/locations/019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f';const options = { method: 'PATCH', headers: { cookie: 'bottle.session_token=<bottle.session_token>', 'Content-Type': 'application/json' }, body: '{"kind":"depot","name":"example","line1":"example","city":"example","postcode":"example","archived":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://example.com/locations/019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f \ --header 'Content-Type: application/json' \ --cookie bottle.session_token=<bottle.session_token> \ --data '{ "kind": "depot", "name": "example", "line1": "example", "city": "example", "postcode": "example", "archived": true }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
UUID v7
string format: uuid
Example
019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8fUUID v7
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
kind
string
name
string
line1
string
city
string | null
postcode
string
archived
boolean
Responses
Section titled “Responses”Changed
Media typeapplication/json
object
id
required
UUID v7
string format: uuid
kind
required
string
name
required
string
line1
required
string
city
required
string | null
postcode
required
string
archivedAt
required
string | null format: date-time
latitude
required
number | null
longitude
required
number | null
geocodedAt
required
string | null format: date-time
postcodeDistrict
required
string | null
adminDistrict
required
string | null
adminCounty
required
string | null
region
required
string | null
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
Example
{ "id": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f", "kind": "depot", "name": "Yard", "postcode": "KT3 4BP", "postcodeDistrict": "KT3", "adminDistrict": "Kingston upon Thames", "adminCounty": "Surrey", "region": "London"}Not signed in
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Not a member, or without the permission this needs
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Not found
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Validation failed
Media typeapplication/json
object
error
required
string
message
required
string
issues
required
Array<object>
object
path
required
string
message
required
string
Example
{ "error": "validation", "issues": [ { "path": "email", "message": "Invalid email" } ]}